/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: ClusterViewManagerFactoryConfig.java 2438 2010-02-24 16:20:30Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.factory.client;

import java.util.List;

import org.ow2.cmi.controller.client.ClientClusterViewManager;
import org.ow2.cmi.controller.client.IClientConfig;

/**
 * Handle the configuration needed to create an instance {@link ClientClusterViewManager}.
 * @author Loris Bouzonnet
 */
public final class ClusterViewManagerFactoryConfig extends org.ow2.cmi.controller.factory.ClusterViewManagerFactoryConfig<IClientConfig> {

    private String protocol;

    private String initialContextFactoryName;

    private List<String> clusterViewProviderUrls;

    private String localRegistryUrl;

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(final String protocol) {
        this.protocol = protocol;
    }

    public String getInitialContextFactoryName() {
        return initialContextFactoryName;
    }

    public void setInitialContextFactoryName(final String initialContextFactoryName) {
        this.initialContextFactoryName = initialContextFactoryName;
    }

    public List<String> getClusterViewProviderUrls() {
        return clusterViewProviderUrls;
    }

    public void setClusterViewProviderUrls(final List<String> clusterViewProviderUrls) {
        this.clusterViewProviderUrls = clusterViewProviderUrls;
    }

    /**
     * @return
     */
    public String getLocalRegistryUrl() {
        return localRegistryUrl;
    }

    public void setLocalRegistryUrl(final String localRegistryUrl) {
        this.localRegistryUrl = localRegistryUrl;
    }

}
