/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: ClusterViewManagerFactoryConfig.java 2438 2010-02-24 16:20:30Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.factory.server;

import org.ow2.cmi.controller.server.IServerConfig;

/**
 * @author Loris Bouzonnet
 */
public final class ClusterViewManagerFactoryConfig
extends org.ow2.cmi.controller.factory.ClusterViewManagerFactoryConfig<IServerConfig> {

    public static final String DEFAULT_MANAGER = "org.ow2.cmi.controller.server.impl.jgroups.JGroupsClusterViewManager";

    private String serverClusterViewManagerClassname = DEFAULT_MANAGER;


    public String getServerClusterViewManagerClassname() {
        return serverClusterViewManagerClassname;
    }

    public void setServerClusterViewManagerClassname(
            final String serverClusterViewManagerClassname) {
        this.serverClusterViewManagerClassname = serverClusterViewManagerClassname;
    }
}
